Loading...
Searching...
No Matches
caf::detail::simple_actor_clock::cancellation Struct Reference

Cancels a delayed event. More...

`#include <simple_actor_clock.hpp>`

Inheritance diagram for caf::detail::simple_actor_clock::cancellation:

## Public Member Functions

| cancellation (event_type t, actor_id aid)
Public Member Functions inherited from caf::detail::simple_actor_clock::event
| event (event_type t)

## Public Attributes

actor_id | aid
Public Attributes inherited from caf::detail::simple_actor_clock::event
event_type | subtype
| Identifies the actual type of this object.

## Detailed Description

Cancels a delayed event.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/simple_actor_clock.hpp